> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentpowers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Api Token Endpoint

> Create a new API token. The full token is returned only once.



## OpenAPI

````yaml /openapi.json post /v1/auth/api-tokens
openapi: 3.1.0
info:
  title: AgentPowers API
  description: Paid marketplace for Claude Code skills and agents
  version: 0.1.0
servers:
  - url: https://api.agentpowers.ai
    description: Production
security: []
paths:
  /v1/auth/api-tokens:
    post:
      tags:
        - auth
      summary: Create Api Token Endpoint
      description: Create a new API token. The full token is returned only once.
      operationId: create_api_token_endpoint_v1_auth_api_tokens_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateApiTokenRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiTokenCreateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateApiTokenRequest:
      properties:
        name:
          type: string
          maxLength: 64
          title: Name
          default: Default
      type: object
      title: CreateApiTokenRequest
    ApiTokenCreateResponse:
      properties:
        token:
          type: string
          title: Token
        name:
          type: string
          title: Name
        created_at:
          type: string
          title: Created At
        expires_at:
          type: string
          title: Expires At
      type: object
      required:
        - token
        - name
        - created_at
        - expires_at
      title: ApiTokenCreateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````